buildrootschalter/package/shairport-sync/S99shairport-sync
Jörg Krause 20fbed2f71 package/shairport-sync: fix init script
shairport-sync uses libdaemon for running as daemon and creating the pidfile
which conflicts with start-stop-daemons `-b -m` options. For that reason
shairport-sync does not start using /etc/init.d/S99shairport-sync start.

The issue is fixed by removing the background and pidfile task from
start-stop-daemon and add a daemon option `-d` to shairport-sync.

Signed-off-by: Jörg Krause <jkrause@posteo.de>
Reviewed-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
2014-11-19 22:50:19 +01:00

26 lines
531 B
Bash

#! /bin/sh
# Additional options that are passed to Shairport Sync
OPTIONS="-d"
case "$1" in
start)
echo -n "Starting shairport-sync: "
start-stop-daemon -S -q -p /var/run/shairport-sync.pid --exec /usr/bin/shairport-sync -- $OPTIONS
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
echo -n "Stopping shairport-sync: "
start-stop-daemon -K -q -p /var/run/shairport-sync.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
restart)
$0 stop
$0 start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
;;
esac